Skip to content
This repository
Newer
Older
100644 38 lines (32 sloc) 1.295 kb
7c8f7f54 »
2012-02-29 bundle gem capistrano_notifier
1 # -*- encoding: utf-8 -*-
6a386b1f »
2012-03-22 move stuff to cap/notifier
2 require File.expand_path('../lib/capistrano/notifier/version', __FILE__)
7c8f7f54 »
2012-02-29 bundle gem capistrano_notifier
3
4 Gem::Specification.new do |gem|
6a386b1f »
2012-03-22 move stuff to cap/notifier
5 gem.authors = ["Justin Campbell", "Nathan L Smith"]
6 gem.email = ["sysadmin@cramerdev.com"]
3a606856 »
2012-02-29 Fix gemspec, allow require via capistrano-notifier
7 gem.summary = %q{Capistrano Notifier}
7163ff3e »
2012-05-02 Add description to gemspec
8 gem.description = %q{Simple notification hooks for Capistrano}
6a386b1f »
2012-03-22 move stuff to cap/notifier
9 gem.homepage = "http://github.com/cramerdev/capistrano-notifier"
7c8f7f54 »
2012-02-29 bundle gem capistrano_notifier
10
11 gem.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
12 gem.files = `git ls-files`.split("\n")
73f2a47b »
2012-02-29 Setup rspec, guard, etc
13 gem.test_files = `git ls-files -- spec/*`.split("\n")
14 gem.name = "capistrano-notifier"
7c8f7f54 »
2012-02-29 bundle gem capistrano_notifier
15 gem.require_paths = ["lib"]
6a386b1f »
2012-03-22 move stuff to cap/notifier
16 gem.version = Capistrano::Notifier::VERSION
73f2a47b »
2012-02-29 Setup rspec, guard, etc
17
3f6e69fd »
2012-06-06 Rename TEST_ENV to RAILS_VERSION
18 case ENV['RAILS_VERSION']
19 when '2.3'
f54b7f93 »
2012-05-17 Test again multiple version of ActionMailer
20 gem.add_dependency 'actionmailer', '~> 2.3.0'
3f6e69fd »
2012-06-06 Rename TEST_ENV to RAILS_VERSION
21 when '3.0'
f54b7f93 »
2012-05-17 Test again multiple version of ActionMailer
22 gem.add_dependency 'actionmailer', '~> 3.0.0'
3f6e69fd »
2012-06-06 Rename TEST_ENV to RAILS_VERSION
23 when '3.1'
f54b7f93 »
2012-05-17 Test again multiple version of ActionMailer
24 gem.add_dependency 'actionmailer', '~> 3.1.0'
3f6e69fd »
2012-06-06 Rename TEST_ENV to RAILS_VERSION
25 when '3.2'
f54b7f93 »
2012-05-17 Test again multiple version of ActionMailer
26 gem.add_dependency 'actionmailer', '~> 3.2.0'
266ce564 »
2012-05-22 Add default ActionMailer dependency.
27 else
28 gem.add_dependency 'actionmailer'
f54b7f93 »
2012-05-17 Test again multiple version of ActionMailer
29 end
30
7b00e18e »
2012-02-29 Import existing code
31 gem.add_dependency 'activesupport'
5fffc51e »
2012-04-09 Refactor mailer [close #2][close #7]
32 gem.add_dependency 'capistrano', '>= 2'
7b00e18e »
2012-02-29 Import existing code
33
73f2a47b »
2012-02-29 Setup rspec, guard, etc
34 gem.add_development_dependency 'guard-rspec'
35 gem.add_development_dependency 'rspec'
5fffc51e »
2012-04-09 Refactor mailer [close #2][close #7]
36 gem.add_development_dependency 'timecop'
7c8f7f54 »
2012-02-29 bundle gem capistrano_notifier
37 end
Something went wrong with that request. Please try again.